﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    unzipLocation  = $toolsDir
    url            = 'https://github.com/github/hub/releases/download/v2.12.1/hub-windows-386-2.12.1.zip'
    checksum       = 'af72d87f81d9b5bd797f7a5da1d2b9b8fb88745d85b2f8c2ea7c9bc854b26c76'
    checksumType   = 'sha256'
    url64          = 'https://github.com/github/hub/releases/download/v2.12.1/hub-windows-amd64-2.12.1.zip'
    checksum64     = '089c727b8cc532ca2d21249e239b1a308cc78c6761955c8872f9dd8885deb810'
    checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
